SCONEPRO Net Neutrality
Internet-Draft draft-tan-sconepro-netneutrality-00
Bryan Tan
Meta
bryantan@meta.com
15 May 2024
Web and Internet Transport
SCONEPRO
Privacy
This document provides a response to the question of whether SCONEPRO can be used to undermine Net Neutrality provisions for network users. It proposes guardrails to ensure Net Neutrality principles are maintained.
SCONEPRO Background and Introduction
Video traffic is already 70% of all traffic on the Internet and is expected to grow to 80% by 2028. New formats like short form videos have seen tremendous growth in recent years. Both in developed and emerging markets video traffic forms 50-80% of traffic on mobile networks. These growth trends are likely to increase with new populations coming online on mobile-first markets and the observation that unlike text content, video content consumption is not being limited by literacy barriers. On the other hand, the electromagnetic spectrum is a limited resource. In order to ensure that mobile networks continue functioning in a healthy state despite this incredible growth, communication service providers (CSPs) will be required to make infrastructure investments such as more licensed spectrum, cell densification, massive MIMO etc. In order to flatten the rate of growth, CSPs in several markets attempt to identify and throttle video traffic based on user data plans. There are several problems with this kind of throttling:
1. CSPs can not explicitly measure the effect that throttling has on the end user’s quality of experience (QoE) making this an open loop approach.
2. Traffic detection and throttling for every flow is compute intensive for CSPs. With distributed UPF (user plane function) in 5G mobile networks more nodes in CSP network may need to support traffic detection and throttling. Traffic detection can have inaccuracies and these inaccuracies are expected to increase as the content delivery industry moves towards end-2-end encryption like TLS 1.3 and encrypted client hello (ECH).
3. The unpredictable and non-transparent behavior of traffic throttlers used by CSPs confuse the bandwidth estimation and congestion control protocols being used within end-2-end video delivery sessions between content server and client. This results in poor quality of experience (QoE) for the end user.
4. Content and Application Providers (CAPs) are designing algorithms to detect the presence of such traffic throttlers to counter their detrimental effects. These algorithms have their own inaccuracies in detection and add compute resources on the CAP side.
An alternative approach is for CAPs to self-adapt the traffic corresponding to video flows. Since CAPs control the client and server endpoints and can measure end user QoE, they are in a better position to do this self-adaptation in a close loop manner. This alternative approach has already been proven to improve user QoE in production deployments [YouTube].
For this alternative approach to work a standardized secure on-path network interface is required which will enable CSP controlled network elements to signal the desired traffic profile characteristics to the CAP client/server endpoints. The Secure Communication of Network Properties (SCONEPRO) protocol (previously known as SADCDN) is being proposed in the IETF as a working group [SADCDN-Charter] motivated by this alternate approach.
Net Neutrality Question
During the IETF 119 SCONEPRO BOF, a question was raised about the potential impact of SCONE PRO on Net Neutrality. This document provides a response to that question and proposes guardrails to ensure Net Neutrality is protected.
Conventions and Definitions
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Current Draft Response
The goal of a SCONEPRO technical standard is to support greater network efficiency and video quality on a non-discriminatory basis consistent with net neutrality principles [ISOC-2010] [ISOC-2015] [BEREC-2022].
Through stakeholder collaboration and alignment in the IETF forum, the proposed solution is intended to be designed and implemented in a way that is:
- Non-discriminatory: An open technical standard that any application or website on QUIC on the internet can choose to implement to signal and communicate a video rate with the network. This should enable any application or website (if it chooses to) to adapt to network conditions for video traffic and achieve greater efficiency and video quality.
- No “fast lanes” or prioritization: A technical solution that does not result in the delivery of some content being prioritized over other content on the Internet.
- No CAP payment for participation: No payment to telcos by content providers in order to implement and participate in the open technical standard.
- Greater network efficiency and video quality for the Internet: A technical standard that enables greater network efficiency and video quality to the benefit of all traffic on the network.
CSPs have the responsibility to apply any network management practices to traffic in a non-discriminatory way consistent with net neutrality principles and regulations. The proposed open technical standard enables the network to signal network conditions to applications and websites (that choose to use the technical standard) so that those applications and websites can adapt to the network conditions to support better video quality and greater network efficiency.
Security Considerations
General SCONEPRO security considerations are discussed in the other documents covering the requirements [I-D.joras-sadcdn-video-optimization-requirements] and specific network-to-host signaling methods. This document provides only addresses questions regarding net neutrality and SCONEPRO.
IANA Considerations
This document has no IANA actions.
References
Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
Informative References
[I-D.joras-sadcdn-video-optimization-requirements]

SADCDN Video Optimization Requirements
Matt Joras
Meta Platforms, Inc.
Anoop Tomar
Meta Platforms, Inc.
Abhishek Tiwari
Meta Platforms, Inc.
Alan Frindell
Meta Platforms, Inc.
5 January 2024
Internet-Draft draft-joras-sadcdn-video-optimization-requirements-00
[YouTube]

YouTube Plan Aware Streaming
YouTube
21 March 2024
[ISOC-2010]

Open Inter-networking
Internet Society
21 February 2010
[ISOC-2015]

Policy Brief: Network Neutrality
Internet Society
30 October 2015
[BEREC-2022]

BEREC Guidelines on the Implementation of the Open Internet Regulation
Body of European Regulators for Electronic Communications
09 June 2022
[SADCDN-Charter]

SADCDN Working Group Charter
IETF SADCDN BOF Proponents
14 May 2024
Acknowledgments
This document represents collaboration and inputs from others, including:
- Abhishek Tiwari
- Anoop Tomar
- Matt Joras
- Wesley Eddy
- Alan Frindell